%define distro RedHat

Name: fwbuilder
Summary: Firewall Builder
Packager: Vadim Kurland <vadim@vk.crocodile.org>
Url: http://www.fwbuilder.org/
Version: 1.0.5
Release: 1.rh72
Copyright: NetCitadel, LLC
Group: Applications/System
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
BuildRoot: /tmp/fwbuilder-buildroot
Requires:      libfwbuilder = 0.10.9
BuildRequires: libfwbuilder-devel = 0.10.9
%if "%{distro}" == "RedHat"
BuildRequires: gtkmm-devel >= 1.2.5
BuildRequires: gdk-pixbuf-devel
%endif
%if "%{distro}" == "SuSE"
BuildRequires: gtkmm-devel >= 1.2.5
BuildRequires: gdk-pixbuf-devel
%endif
%if "%{distro}" == "Mandrake"
BuildRequires: libgtkmm1.2-devel >= 1.2.5
BuildRequires: libgdk-pixbuf2-devel
%endif
Obsoletes: fwbuilder-doc fwbuilder-devel
Docdir:   /usr/share/doc

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%prep

%setup 

%build
./autogen.sh --enable-auto-docdir --prefix=/usr/ --with-templatedir=/usr/share/fwbuilder --with-iconsdir=/usr/share/pixmaps/fwbuilder/
make -j `cat /proc/cpuinfo | egrep '^processor|^CPU' | wc -l` all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/pixmaps/fwbuilder
%dir /usr/share/fwbuilder
%dir /usr/share/fwbuilder/modules
%dir /usr/share/fwbuilder/modules/gui
%dir /usr/share/fwbuilder/platform
%dir /usr/share/fwbuilder/os
/usr/share/locale/*/*/*
/usr/share/pixmaps/fwbuilder/*
/usr/share/fwbuilder/filters/*
/usr/share/fwbuilder/migration/*
/usr/share/fwbuilder/resources.xml
/usr/share/fwbuilder/objects_init.xml
/usr/share/fwbuilder/gtkrc
/usr/share/fwbuilder/fwbuilder_preferences.dtd
/usr/share/fwbuilder/fwbuilder_prefs.xml
/usr/share/fwbuilder/platform/unknown.xml
/usr/share/fwbuilder/os/unknown_os.xml
/usr/bin/fwbuilder
%dir /usr/share/bug-buddy/bugzilla/fwbuilder
/usr/share/bug-buddy/bugzilla/fwbuilder.bugzilla
/usr/share/bug-buddy/fwbuilder-bug-buddy.png
/usr/share/bug-buddy/fwbuilder-packages
/usr/share/bug-buddy/fwbuilder.appmap
/usr/share/bug-buddy/xml/fwbuilder.bts
%doc doc/AUTHORS
%doc doc/ABOUT-NLS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/FAQ
%doc doc/FAQ.html
%doc doc/README.gui
%doc doc/ReleaseNotes_0.8.7
%doc doc/ReleaseNotes_0.9.0
%doc doc/ReleaseNotes_0.9.1
%doc doc/ReleaseNotes_0.9.2
%doc doc/ReleaseNotes_0.9.2.html
%doc doc/ReleaseNotes_0.9.3
%doc doc/ReleaseNotes_0.9.3.html
%doc doc/ReleaseNotes_0.9.4
%doc doc/ReleaseNotes_0.9.4.html
%doc doc/ReleaseNotes_0.9.5
%doc doc/ReleaseNotes_0.9.5.html
%doc doc/ReleaseNotes_0.9.6
%doc doc/ReleaseNotes_0.9.6.html
%doc doc/ReleaseNotes_0.9.7
%doc doc/ReleaseNotes_0.9.7.html
%doc doc/ReleaseNotes_0.9.8
%doc doc/ReleaseNotes_0.9.8.html
%doc doc/ReleaseNotes_0.9.9
%doc doc/ReleaseNotes_0.9.9.html
%doc doc/ReleaseNotes_1.0.0
%doc doc/ReleaseNotes_1.0.0.html
%doc doc/ReleaseNotes_1.0.1
%doc doc/ReleaseNotes_1.0.1.html
%doc doc/ReleaseNotes_1.0.2
%doc doc/ReleaseNotes_1.0.2.html
%doc doc/ReleaseNotes_1.0.3
%doc doc/ReleaseNotes_1.0.3.html
%doc doc/ReleaseNotes_1.0.4
%doc doc/ReleaseNotes_1.0.4.html
%doc doc/ReleaseNotes_1.0.5
%doc doc/ReleaseNotes_1.0.5.html
%doc doc/feedback.html
%doc doc/PatchAcceptancePolicy.txt
%doc doc/examples
%{_mandir}/man1/fwbuilder.1*


%package pf
Summary: policy compiler for OpenBSD pf
Group: Applications/System

%description pf
Policy compiler for OpenBSD PF

%files pf
%defattr(-,root,root)
%dir /usr/share/fwbuilder/modules
%dir /usr/share/fwbuilder/modules/gui
%dir /usr/share/fwbuilder/platform
%dir /usr/share/fwbuilder/os
/usr/bin/fwb_pf
/usr/share/fwbuilder/modules/gui/lib_pf_dlg.so
/usr/share/fwbuilder/modules/gui/lib_openbsd_dlg.so
/usr/share/fwbuilder/platform/pf.xml
/usr/share/fwbuilder/os/openbsd.xml
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.pf
%doc doc/ReleaseNotes_1.0.1
%doc doc/ReleaseNotes_1.0.2
%doc doc/ReleaseNotes_1.0.3
%doc doc/ReleaseNotes_1.0.4
%doc doc/ReleaseNotes_1.0.5
%{_mandir}/man1/fwb_pf.1*


%package ipf
Summary: policy compiler for ipfilter
Group: Applications/System

%description ipf
Policy compiler for ipfilter

%files ipf
%defattr(-,root,root)
%dir /usr/share/fwbuilder/modules
%dir /usr/share/fwbuilder/modules/gui
%dir /usr/share/fwbuilder/platform
%dir /usr/share/fwbuilder/os
/usr/bin/fwb_ipf
/usr/share/fwbuilder/modules/gui/lib_ipf_dlg.so
/usr/share/fwbuilder/modules/gui/lib_freebsd_dlg.so
/usr/share/fwbuilder/modules/gui/lib_solaris_dlg.so
/usr/share/fwbuilder/platform/ipf.xml
/usr/share/fwbuilder/os/freebsd.xml
/usr/share/fwbuilder/os/solaris.xml
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.ipf
%doc doc/ReleaseNotes_1.0.1
%doc doc/ReleaseNotes_1.0.2
%doc doc/ReleaseNotes_1.0.3
%doc doc/ReleaseNotes_1.0.4
%doc doc/ReleaseNotes_1.0.5
%{_mandir}/man1/fwb_ipf.1*


%package ipt
Summary: policy compiler for iptables
Group: Applications/System

%description ipt
Policy compiler for iptables

%files ipt
%defattr(-,root,root)
%dir /usr/share/fwbuilder/modules
%dir /usr/share/fwbuilder/modules/gui
%dir /usr/share/fwbuilder/platform
%dir /usr/share/fwbuilder/os
/usr/bin/fwb_ipt
/usr/share/fwbuilder/modules/gui/lib_iptables_dlg.so
/usr/share/fwbuilder/modules/gui/lib_linux24_dlg.so
/usr/share/fwbuilder/platform/iptables.xml
/usr/share/fwbuilder/os/linux24.xml
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/README.ipt
%doc doc/ReleaseNotes_1.0.2
%doc doc/ReleaseNotes_1.0.3
%doc doc/ReleaseNotes_1.0.4
%doc doc/ReleaseNotes_1.0.5
%{_mandir}/man1/fwb_ipt.1*


